Skip to main content
GET
/
paylinks
/
{paylinkId}
Get paylink details
curl --request GET \
  --url https://api.orafi.app/v1/paylinks/{paylinkId}
{
  "success": true,
  "message": "Paylink retrieved successfully",
  "data": {
    "id": "paylink_abc123",
    "title": "Product Payment",
    "description": "Payment for awesome product",
    "amount": 100,
    "currency": "USDC",
    "imageBlobIds": [
      "<string>"
    ],
    "mode": "live",
    "profileId": "profile_123",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "images": [
      {}
    ],
    "profile": {
      "id": "profile_abc123",
      "businessName": "Acme Corp",
      "businessSector": "E-commerce",
      "country": "NG",
      "websiteLink": "<string>",
      "email": "jsmith@example.com",
      "isLive": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  }
}

Path Parameters

The paylink ID

Response

Paylink details retrieved successfully

success
boolean
Example:

true

message
string
Example:

"Paylink retrieved successfully"

data
object